Skip to main content

List Clients

Returns a list of all the clients associated with the client making the request.

Doesn't return API keys.

GET
/clients

Query Parameters

FieldRequiredType

id

Searches for specific client id.

Optional
String

page

Specify current page.

Optional
Integer

records_per_page

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Optional
Integer

Request sample

Language:shell

_10
curl -L -X GET 'https://int-api.mx.com/clients?id=external-id' \
_10
-H 'Accept: application/vnd.mx.api.v1+json' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Response sample

200
Language:json

_47
{
_47
"clients": [
_47
{
_47
"address": "123 Address Way",
_47
"city": "Schenectady",
_47
"country": "US",
_47
"created_at": "2024-09-04T16:07:40+00:00",
_47
"id": "external-id",
_47
"guid": "CLT-8c62982c-804c-44a1-90c8-50fcff5f8d77",
_47
"main_url": "https://mainurl.com",
_47
"name": "Test client",
_47
"oauth_app_description": "app",
_47
"oauth_app_name": "appy app",
_47
"postal_code": "12345",
_47
"state": "NY",
_47
"support_email": "support@mainurl.com",
_47
"support_phone": "8015555555",
_47
"support_url": "https://supporturl.com",
_47
"updated_at": "2024-09-04T16:09:58+00:00",
_47
"products": {
_47
"account_verification": false,
_47
"balance": false,
_47
"business_suite": true,
_47
"data_api": true,
_47
"history": false,
_47
"identity_verification": false,
_47
"microdeposits": false,
_47
"moneymap": true,
_47
"platform_api": true,
_47
"pulse": true,
_47
"reporting_api": {
_47
"is_enabled": true,
_47
"base_reports": true
_47
},
_47
"sherlock_api": false,
_47
"statements": false,
_47
"transactions": true
_47
}
_47
}
_47
],
_47
"pagination": {
_47
"current_page": 1,
_47
"per_page": 25,
_47
"total_entries": 1,
_47
"total_pages": 1
_47
}
_47
}